org.apache.hc.client5.http.auth

## Interface AuthCache

All Known Implementing Classes:
  BasicAuthCache

    public interface AuthCache

Abstract `AuthScheme` cache. Initialized `AuthScheme` objects from this cache can be used to preemptively authenticate against known hosts.

Since:
  4.1

### Method Summary

Methods
`void` `clear()`
`AuthScheme` `get(org.apache.hc.core5.http.HttpHost host)`
`void` `put(org.apache.hc.core5.http.HttpHost host, AuthScheme authScheme)`
`void` `remove(org.apache.hc.core5.http.HttpHost host)`

### Method Detail

#### put

    void put(org.apache.hc.core5.http.HttpHost host,
           AuthScheme authScheme)

#### get

    AuthScheme get(org.apache.hc.core5.http.HttpHost host)

#### remove

    void remove(org.apache.hc.core5.http.HttpHost host)

#### clear

    void clear()